DevHeads.net

sqlite + django pains and serious bodhi confusion

After upgrading this morning I ran into some nasty issues with
sqlite-3.26.0-1.fc29 which seems utterly broken now with
python3-django-2.0.9-1.fc29 as described in this bug[0].  I thought I'd
start by consulting
<a href="https://bodhi.fedoraproject.org/updates/?packages=sqlite" title="https://bodhi.fedoraproject.org/updates/?packages=sqlite">https://bodhi.fedoraproject.org/updates/?packages=sqlite</a> to see what
changed but much to my surprise the newest build I see there is
sqlite-3.22.0-5.fc28!  Huh?  Where are the f29 builds?  I only found the
very helpful bug report after clicking through on the newest related
build[1] for spatialite-tools (whatever that is) and only then because
@plotrp "Clicked wrong -1 button".  So a quick downgrade of sqlite (back
to sqlite-3.24.0-2.fc29) gets me going for now, but what's up with Bodhi?

[0] <a href="https://code.djangoproject.com/ticket/29182" title="https://code.djangoproject.com/ticket/29182">https://code.djangoproject.com/ticket/29182</a>

[1] <a href="https://bodhi.fedoraproject.org/updates/FEDORA-2018-ccbe8b931c" title="https://bodhi.fedoraproject.org/updates/FEDORA-2018-ccbe8b931c">https://bodhi.fedoraproject.org/updates/FEDORA-2018-ccbe8b931c</a>

Comments

Re: sqlite + django pains and serious bodhi confusion

By Jason L Tibbitts III at 01/07/2019 - 18:04

JF> I thought I'd start by consulting
JF> <a href="https://bodhi.fedoraproject.org/updates/?packages=sqlite" title="https://bodhi.fedoraproject.org/updates/?packages=sqlite">https://bodhi.fedoraproject.org/updates/?packages=sqlite</a> to see what
JF> changed but much to my surprise the newest build I see there is
JF> sqlite-3.22.0-5.fc28! Huh? Where are the f29 builds?

First, note that Bodhi doesn't show builds, it shows updates. It
wouldn't show builds for F29 made early in that version's development
cycle.

Second, it appears to me that the first line from that URL is
"spatialite-tools-4.3.0-31.fc29 sqlite-3.26.0-1.fc29". That's a single
update which contained two packages. Is that not what you were looking
for? It does appear that spatiallite-tools and sqllite update together
quite often, but I don't see how that could be considered to be a
problem.

- J<

Re: sqlite + django pains and serious bodhi confusion

By John Florian at 01/07/2019 - 20:56

On 1/7/19 5:04 PM, Jason L Tibbitts III wrote:
Nope, not a problem.  My confusion above explains it all.  Thanks Jason!

Also for anyone else reading, the python3-django-2.0.10-1.fc29
updates-testing right now does resolve the incompatibility problems with
this latest sqlite update.